Subject: bug#66117: 30.0.50; `find-buffer-visiting' is slow when opening large number of buffers

From: Stefan Monnier <[email-masked]>
Date: Sun, 17 Dec 2023 01:11:46 -0500

> Thanks, but I wonder what, if anything, we should say about this
> change in NEWS?  Also, do any of the manuals require any changes wrt
> this?

AFAIK this is a purely internal change with no visible effect at the
ELisp level other than a slightly different performance profile when
accessing `case-fold-search` (barring subtle inconsistencies in our
implementation of let/setq/symbol-value, of course).
So, I think it doesn't require any change in the docs or the etc/NEWS.

        Stefan